CREATE TABLE PDB_STRUCTURE_WHOLE 
   (PSW_ID NUMBER(19,0) NOT NULL ENABLE, 
	CHAINS NUMBER(19,2), 
	TM_CHAINS VARCHAR2(255 BYTE), 
	OPM_URL VARCHAR2(255 BYTE), 
	PDB_CODE VARCHAR2(255 BYTE), 
	PDB_URL VARCHAR2(255 BYTE), 
	STRUCT_PDB_DOWNLOAD VARCHAR2(255 BYTE), 
	STRUCT_GIF_PATH VARCHAR2(255 BYTE), 
	STRUCT_ID VARCHAR2(255 BYTE), 
	TITLE VARCHAR2(255 BYTE), 
	STRUCT_SIZE NUMBER, 
	IMAGE_FILE_PATH VARCHAR2(255 BYTE), 
	JSON_FILE_PATH_3DMOL VARCHAR2(255 BYTE));
	
CREATE TABLE PDB_NTM_CHAIN_DOMAINS 
   (NTD_ID NUMBER(19,0) NOT NULL ENABLE, 
	TM_DOMAIN_ID NUMBER(19,2), 
	TMD_RANGE VARCHAR2(255 BYTE), 
	NCD_ID NUMBER(19,0));
	
CREATE TABLE PDB_NTM_CHAINS_DETAILS 
   (NCD_ID NUMBER(19,0) NOT NULL ENABLE, 
	CHAIN_ID VARCHAR2(255 BYTE), 
	NTM_DOMAINS NUMBER(19,2), 
	SEQ VARCHAR2(4000 BYTE), 
	SEQ_NAME VARCHAR2(255 BYTE), 
	PSW_ID NUMBER(19,0));

CREATE TABLE PDB_CHAIN_INFORMATION 
   (PCC_ID NUMBER(19,0) NOT NULL ENABLE, 
	CLASS_ID VARCHAR2(255 BYTE), 
	PS_CLASS VARCHAR2(255 BYTE), 
	PS_MEMBER VARCHAR2(255 BYTE), 
	TM_DOMAINS NUMBER(19,2), 
	PSW_ID NUMBER(19,0), 
	SEQ_NEIGHBORS NUMBER, 
	STRUCT_NEIGHBORS NUMBER, 
	TOTAL_NEIGHBORS NUMBER, 
	SYMMETRY VARCHAR2(255 BYTE), 
	SYMM_CONSENSUS VARCHAR2(255 BYTE));
	
CREATE TABLE PDB_CE_SYMM_CLASSIFICATION 
   (CSC_ID NUMBER(19,0) NOT NULL ENABLE, 
	ALGO_VERSION VARCHAR2(255 BYTE), 
	ALGORITHM VARCHAR2(255 BYTE), 
	SYMM_ANGLE VARCHAR2(1800 BYTE), 
	SYMM_COVERAGE VARCHAR2(255 BYTE), 
	SYMM_IMAGE_FILE VARCHAR2(1800 BYTE), 
	SYMM_LEVELS VARCHAR2(255 BYTE), 
	SYMM_NUM_REPEATS VARCHAR2(255 BYTE), 
	SYMM_ORDER VARCHAR2(255 BYTE), 
	SYMM_PML_FILE VARCHAR2(1800 BYTE), 
	SYMM_REPEATS VARCHAR2(1800 BYTE), 
	SYMM_RMSD VARCHAR2(255 BYTE), 
	SYMM_SEED VARCHAR2(255 BYTE), 
	SYMM_TM_SCORE VARCHAR2(255 BYTE), 
	SYMM_TRANSLATION VARCHAR2(1800 BYTE), 
	SYMM_UNREFINED_RMSD VARCHAR2(255 BYTE), 
	SYMM_UNREFINED_TM_SCORE VARCHAR2(255 BYTE), 
	PSW_ID NUMBER(19,0), 
	SYMM_REPEAT_LENGTH NUMBER, 
	JSON_FILE_PATH_3DMOL VARCHAR2(2500 BYTE), 
	SYMM_ALIGNED_RESIDUES VARCHAR2(255 BYTE));

 CREATE TABLE PDB_CE_SYMD_CLASSIFICATION 
   (CSD_ID NUMBER(19,0) NOT NULL ENABLE, 
	ALGO_VERSION VARCHAR2(255 BYTE), 
	ALGORITHM VARCHAR2(255 BYTE), 
	SYMD_ANGLE VARCHAR2(255 BYTE), 
	SYMD_COVERAGE VARCHAR2(255 BYTE), 
	SYMD_IMAGE_FILE VARCHAR2(1800 BYTE), 
	SYMD_IS VARCHAR2(255 BYTE), 
	SYMD_IS_ANGLE VARCHAR2(255 BYTE), 
	SYMD_IS_TRANSLATION VARCHAR2(255 BYTE), 
	SYMD_ORDER VARCHAR2(255 BYTE), 
	SYMD_PML_FILE VARCHAR2(1800 BYTE), 
	SYMD_RMSD VARCHAR2(255 BYTE), 
	SYMD_TM_SCORE VARCHAR2(255 BYTE), 
	SYMD_TRANSLATION VARCHAR2(255 BYTE), 
	SYMD_ZTM_SCORE VARCHAR2(255 BYTE), 
	PSW_ID NUMBER(19,0), 
	JSON_FILE_PATH_3DMOL VARCHAR2(1800 BYTE));
	
CREATE TABLE PDB_SYMMALIGN_DOWNLOADS 
   (SSAD_ID NUMBER(19,0) NOT NULL ENABLE, 
	CSC_ID NUMBER(19,0), 
	FILE_PATH VARCHAR2(255 BYTE));

CREATE TABLE PDB_SYMDALIGN_DOWNLOADS 
   (SSDD_ID NUMBER(19,0) NOT NULL ENABLE, 
	CSD_ID NUMBER(19,0), 
	FILE_PATH VARCHAR2(255 BYTE));
	
CREATE TABLE PDB_SYMD_ALIGNMENTS 
   (SDA_ID NUMBER(19,0) NOT NULL ENABLE, 
	SA_NAME VARCHAR2(1500 BYTE), 
	SA_SEQ VARCHAR2(4000 BYTE), 
	CSD_ID NUMBER(19,0), 
	SA_SEQ2 VARCHAR2(4000 BYTE));
	
CREATE TABLE PDB_SYMM_ALIGNMENTS 
   (SMA_ID NUMBER(19,0) NOT NULL ENABLE, 
	SA_NAME VARCHAR2(255 BYTE), 
	SA_SEQ VARCHAR2(4000 BYTE), 
	CSC_ID NUMBER(19,0), 
	SA_SEQ2 VARCHAR2(4000 BYTE));

CREATE TABLE PDB_SYMMETRY_ANALYSIS 
   (PSA_ID NUMBER(19,0) NOT NULL ENABLE, 
	PSW_ID NUMBER(19,0), 
	PSA_CHAIN_ORDER VARCHAR2(255 BYTE), 
	PSA_ORDER VARCHAR2(255 BYTE), 
	PSA_ANGLE VARCHAR2(255 BYTE), 
	PSA_TRANSLATION VARCHAR2(255 BYTE), 
	PSA_RMSD VARCHAR2(55 BYTE), 
	PSA_TMSCORE VARCHAR2(55 BYTE), 
	PSA_COVERAGE VARCHAR2(55 BYTE), 
	PSA_NUM_REPEATS VARCHAR2(55 BYTE), 
	PSA_LEVELS VARCHAR2(255 BYTE), 
	PSA_REP_LENGTH VARCHAR2(255 BYTE), 
	PSA_QUATERNARY_INTERNAL VARCHAR2(255 BYTE), 
	PSA_TOPOLOGY VARCHAR2(255 BYTE), 
	PSA_REPEATS VARCHAR2(1000 BYTE), 
	PSA_INFO VARCHAR2(1000 BYTE), 
	PSA_ALIGNED_RESIDUES VARCHAR2(255 BYTE), 
	PSA_AXIS_ANGLE VARCHAR2(255 BYTE));
	
CREATE TABLE PDB_ANALYSIS_DOWNLOADS 
   (PAD_ID NUMBER(19,0) NOT NULL ENABLE, 
	PSA_ID NUMBER(19,0), 
	FILE_PATH VARCHAR2(255 BYTE));
	
  CREATE TABLE PDB_ANALYSIS_IMAGES 
   (PAI_ID NUMBER(19,0) NOT NULL ENABLE, 
	PSA_ID NUMBER(19,0), 
	IMAGE_FILE_AND_PATH VARCHAR2(1000 BYTE), 
	PML_FILE_AND_PATH VARCHAR2(1000 BYTE), 
	JSON_FILE_PATH_3DMOL VARCHAR2(1000 BYTE), 
	SUPER_PML_FILE_AND_PATH VARCHAR2(1000 BYTE));

 CREATE TABLE PDB_ANALYSIS_ALIGNMENTS 
   (PAA_ID NUMBER(19,0) NOT NULL ENABLE, 
	AA_NAME VARCHAR2(1500 BYTE), 
	AA_SEQ VARCHAR2(4000 BYTE), 
	PSA_ID NUMBER(19,0), 
	AA_SEQ2 VARCHAR2(4000 BYTE));


CREATE TABLE CHAIN_STRUCTURE 
   (PS_ID NUMBER(19,0) NOT NULL ENABLE, 
	TM_DOMAINS NUMBER(19,2), 
	OPM_URL VARCHAR2(255 BYTE), 
	PDB_CODE VARCHAR2(255 BYTE), 
	PDB_URL VARCHAR2(255 BYTE), 
	SEQ_NAME VARCHAR2(255 BYTE), 
	SEQUENCE VARCHAR2(4000 BYTE), 
	STRUCT_PDB_DOWNLOAD VARCHAR2(255 BYTE), 
	STRUCT_GIF_PATH VARCHAR2(255 BYTE), 
	STRUCT_ID VARCHAR2(255 BYTE), 
	TITLE VARCHAR2(255 BYTE), 
	CHAIN_SIZE VARCHAR2(20 BYTE), 
	JSON_FILE_PATH_3DMOL VARCHAR2(255 BYTE), 
	IMAGE_FILE_PATH VARCHAR2(255 BYTE), 
	RESOLUTION VARCHAR2(255 BYTE));
	
CREATE TABLE CHAIN_TM_DOMAINS 
   (ND_ID NUMBER(19,0) NOT NULL ENABLE, 
	TM_DOMAIN_ID NUMBER(19,2), 
	TMD_RANGE VARCHAR2(255 BYTE), 
	PS_ID NUMBER(19,0));

CREATE TABLE CHAIN_STRUCT_IMGDAT_DOWNLOADS 
   (CSID_ID NUMBER(19,0) NOT NULL ENABLE, 
	PS_ID NUMBER(19,0), 
	FILE_TYPE VARCHAR2(255 BYTE), 
	FILE_PATH VARCHAR2(255 BYTE), 
	MAP_PATH VARCHAR2(255 BYTE));

 CREATE TABLE CHAIN_STRUCT_CLASSIFICATION 
   (SC_ID NUMBER(19,0) NOT NULL ENABLE, 
	PS_CLASS VARCHAR2(255 BYTE), 
	PS_MEMBER VARCHAR2(255 BYTE), 
	TM_DOMAINS NUMBER(19,2), 
	PS_ID NUMBER(19,0), 
	SEQ_NEIGHBORS NUMBER, 
	STRUCT_NEIGHBORS NUMBER, 
	TOTAL_NEIGHBORS NUMBER);

CREATE TABLE CHAIN_CE_SYMM_CLASSIFICATION 
   (CSC_ID NUMBER(19,0) NOT NULL ENABLE, 
	ALGO_VERSION VARCHAR2(255 BYTE), 
	ALGORITHM VARCHAR2(255 BYTE), 
	SYMM_ANGLE VARCHAR2(255 BYTE), 
	SYMM_COVERAGE VARCHAR2(255 BYTE), 
	SYMM_IMAGE_FILE VARCHAR2(1000 BYTE), 
	SYMM_LEVELS VARCHAR2(255 BYTE), 
	SYMM_NUM_REPEATS VARCHAR2(255 BYTE), 
	SYMM_ORDER VARCHAR2(255 BYTE), 
	SYMM_PML_FILE VARCHAR2(1000 BYTE), 
	SYMM_REPEATS VARCHAR2(1000 BYTE), 
	SYMM_RMSD VARCHAR2(255 BYTE), 
	SYMM_SEED VARCHAR2(255 BYTE), 
	SYMM_TM_SCORE VARCHAR2(255 BYTE), 
	SYMM_TRANSLATION VARCHAR2(255 BYTE), 
	SYMM_UNREFINED_RMSD VARCHAR2(255 BYTE), 
	SYMM_UNREFINED_TM_SCORE VARCHAR2(255 BYTE), 
	PS_ID NUMBER(19,0), 
	SYMM_REPEAT_LENGTH VARCHAR2(200 BYTE), 
	JSON_FILE_PATH_3DMOL VARCHAR2(1000 BYTE), 
	SYMM_ALIGNED_RESIDUES VARCHAR2(255 BYTE));

CREATE TABLE CHAIN_CE_SYMD_CLASSIFICATION 
   (CSD_ID NUMBER(19,0) NOT NULL ENABLE, 
	ALGO_VERSION VARCHAR2(255 BYTE), 
	ALGORITHM VARCHAR2(255 BYTE), 
	SYMD_ANGLE VARCHAR2(255 BYTE), 
	SYMD_COVERAGE VARCHAR2(255 BYTE), 
	SYMD_IMAGE_FILE VARCHAR2(1000 BYTE), 
	SYMD_IS VARCHAR2(255 BYTE), 
	SYMD_IS_ANGLE VARCHAR2(255 BYTE), 
	SYMD_IS_TRANSLATION VARCHAR2(255 BYTE), 
	SYMD_ORDER VARCHAR2(255 BYTE), 
	SYMD_PML_FILE VARCHAR2(1000 BYTE), 
	SYMD_RMSD VARCHAR2(255 BYTE), 
	SYMD_TM_SCORE VARCHAR2(255 BYTE), 
	SYMD_TRANSLATION VARCHAR2(255 BYTE), 
	SYMD_ZTM_SCORE VARCHAR2(255 BYTE), 
	PS_ID NUMBER(19,0), 
	JSON_FILE_PATH_3DMOL VARCHAR2(1000 BYTE), 
	SYMD_ALIGNED_RESIDUES VARCHAR2(255 BYTE));

CREATE TABLE CHAIN_SYMDALIGN_DOWNLOADS 
   (CSDD_ID NUMBER(19,0) NOT NULL ENABLE, 
	CSD_ID NUMBER(19,0), 
	FILE_PATH VARCHAR2(255 BYTE));

CREATE TABLE CHAIN_SYMMALIGN_DOWNLOADS 
   (CSAD_ID NUMBER(19,0) NOT NULL ENABLE, 
	CSC_ID NUMBER(19,0), 
	FILE_PATH VARCHAR2(255 BYTE));

CREATE TABLE CHAIN_SYMD_ALIGNMENTS 
   (SA_ID NUMBER(19,0) NOT NULL ENABLE, 
	SA_NAME VARCHAR2(600 BYTE), 
	SA_SEQ VARCHAR2(4000 BYTE), 
	CSD_ID NUMBER(19,0));

CREATE TABLE CHAIN_SYMM_ALIGNMENTS 
   (SMA_ID NUMBER(19,0) NOT NULL ENABLE, 
	SA_NAME VARCHAR2(255 BYTE), 
	SA_SEQ VARCHAR2(4000 BYTE), 
	CSC_ID NUMBER(19,0));

 CREATE TABLE CHAIN_TRANSFER 
   (CT_ID NUMBER(19,0) NOT NULL ENABLE, 
	PS_ID NUMBER(19,0), 
	CT_TEMPLATE VARCHAR2(55 BYTE), 
	CT_ORDER VARCHAR2(55 BYTE), 
	CT_ANGLE VARCHAR2(55 BYTE), 
	CT_TRANSLATION VARCHAR2(55 BYTE), 
	CT_RMSD VARCHAR2(55 BYTE), 
	CT_TMSCORE VARCHAR2(55 BYTE), 
	CT_COVERAGE VARCHAR2(55 BYTE), 
	CT_NUM_REPEATS VARCHAR2(55 BYTE), 
	CT_LEVELS VARCHAR2(55 BYTE), 
	CT_REP_LENGTH VARCHAR2(55 BYTE), 
	CT_TOPOLOGY VARCHAR2(55 BYTE), 
	CT_AXIS_ANGLE VARCHAR2(55 BYTE), 
	CT_REPEATS VARCHAR2(255 BYTE), 
	CT_ALIGNED_RESIDUES VARCHAR2(255 BYTE));

CREATE TABLE CHAIN_TRANSFER_DOWNLOADS 
   (CTD_ID NUMBER(19,0) NOT NULL ENABLE, 
	CT_ID NUMBER(19,0), 
	FILE_PATH VARCHAR2(255 BYTE));

CREATE TABLE CHAIN_TRANSFER_IMAGES 
   (CTM_ID NUMBER(19,0) NOT NULL ENABLE, 
	CT_ID NUMBER(19,0), 
	IMAGE_FILE_AND_PATH VARCHAR2(1000 BYTE), 
	PML_FILE_AND_PATH VARCHAR2(1000 BYTE), 
	JSON_FILE_PATH_3DMOL VARCHAR2(1000 BYTE), 
	SUPER_PML_FILE_AND_PATH VARCHAR2(1000 BYTE));

 CREATE TABLE CHAIN_SYMMETRY_ANALYSIS 
   (CSA_ID NUMBER(19,0) NOT NULL ENABLE, 
	PS_ID NUMBER(19,0), 
	CSA_ORDER VARCHAR2(55 BYTE), 
	CSA_ANGLE VARCHAR2(55 BYTE), 
	CSA_TRANSLATION VARCHAR2(55 BYTE), 
	CSA_RMSD VARCHAR2(55 BYTE), 
	CSA_TMSCORE VARCHAR2(55 BYTE), 
	CSA_COVERAGE VARCHAR2(55 BYTE), 
	CSA_NUM_REPEATS VARCHAR2(55 BYTE), 
	CSA_LEVELS VARCHAR2(55 BYTE), 
	CSA_REP_LENGTH VARCHAR2(55 BYTE), 
	CSA_QUATERNARY_INTERNAL VARCHAR2(55 BYTE), 
	CSA_TOPOLOGY VARCHAR2(400 BYTE), 
	CSA_REPEATS VARCHAR2(400 BYTE), 
	CSA_INFO VARCHAR2(255 BYTE), 
	CSA_AXIS_ANGLE VARCHAR2(400 BYTE), 
	CSA_ALIGNED_RESIDUES VARCHAR2(400 BYTE));

CREATE TABLE CHAIN_ANALYSIS_DOWNLOADS 
   (CAD_ID NUMBER(19,0) NOT NULL ENABLE, 
	CSA_ID NUMBER(19,0), 
	FILE_PATH VARCHAR2(65 BYTE));

 CREATE TABLE CHAIN_ANALYSIS_IMAGES 
   (CAI_ID NUMBER(19,0) NOT NULL ENABLE, 
	CSA_ID NUMBER(19,0), 
	IMAGE_FILE_AND_PATH VARCHAR2(1000 BYTE), 
	PML_FILE_AND_PATH VARCHAR2(1000 BYTE), 
	JSON_FILE_PATH_3DMOL VARCHAR2(1000 BYTE), 
	SUPER_PML_FILE_AND_PATH VARCHAR2(1000 BYTE);

CREATE TABLE CHAIN_ANALYSIS_ALIGNMENTS 
   (CAA_ID NUMBER(19,0) NOT NULL ENABLE, 
	AA_NAME VARCHAR2(1500 BYTE), 
	AA_SEQ VARCHAR2(4000 BYTE), 
	CSA_ID NUMBER(19,0), 
	AA_SEQ2 VARCHAR2(4000 BYTE);
	
commit;

Once thse tables are created, run insert scripts.
commit;



	
	